- 积分
- 493
- 明经币
- 个
- 注册时间
- 2005-5-20
- 在线时间
- 小时
- 威望
-
- 金钱
- 个
- 贡献
-
- 激情
-
|
发表于 2012-7-24 15:37:45
|
显示全部楼层
利用发射也是可以的,比SetCurrentView速度快
using System.Reflection; //注意引用这个
using AcadApp = Autodesk.AutoCAD.ApplicationServices.Application;
public static void ZoomExtents()
{
object acad = AcadApp.AcadApplication;
acad.GetType().InvokeMember("ZoomExtents", BindingFlags.InvokeMethod, null, acad, null);
}
public static void ZoomAll()
{
object acad = AcadApp.AcadApplication;
acad.GetType().InvokeMember("ZoomAll", BindingFlags.InvokeMethod, null, acad, null);
}
public static void ZoomWindowReflection(Point3d p1, Point3d p2)
{
object acad = AcadApp.AcadApplication;
object[] pts = { p1.ToArray(), p2.ToArray() };
acad.GetType().InvokeMember("ZoomWindow", BindingFlags.InvokeMethod, null, acad, pts);
}
|
评分
-
查看全部评分
|